# Class `Objects.SoundSource`

Sound source

## Functions

SoundSource:GetPosition() | Get the sound source's position
SoundSource:SetPosition(position) | Set the sound source's position
SoundSource:GetName() | Get the sound source's unique string identifier
SoundSource:SetName(name) | Set the sound source's name (its unique string identifier)
SoundSource:GetSoundID() | Get the sound source's unique int identifier
SoundSource:SetSoundID(name) | Set the sound source's ID TODO this and getSoundID should use enums

## Functions

SoundSource:GetPosition()
  Get the sound source's position

  ### Returns:

  Vec3 a copy of the sound source's position
SoundSource:SetPosition(position)
  Set the sound source's position

  ### Parameters:

  - position Vec3 the new position of the sound source
SoundSource:GetName()
  Get the sound source's unique string identifier

  ### Returns:

  string the sound source's name
SoundSource:SetName(name)
  Set the sound source's name (its unique string identifier)

  ### Parameters:

  - name string The sound source's new name
SoundSource:GetSoundID()
  Get the sound source's unique int identifier

  ### Returns:

  int the ID of the sound
SoundSource:SetSoundID(name)
  Set the sound source's ID TODO this and getSoundID should use enums

  ### Parameters:

  - name int The sound source's new name

generated by TEN-LDoc (a fork of LDoc 1.4.6)